System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.IHttpHandler

An class can be associated with a file name extension or a particular URL by a configuration file, in the httpHandlers configuration section. The ASP.NET infrastructure will then instantiate and call the handler when the corresponding request is received. Alternatively, the handler can be defined in an .ashx file and when the corresponding request is received for the .ashx file the hander will be executed.

Defines the contract that HTTP asynchronous handler objects must implement.

- Method
  System.IAsyncResult `` `` `` To be added

  Initiates an asynchronous call to the HTTP handler.

  An that contains information about the status of the process.

  An object that provides references to intrinsic server objects (for example, Request, Response, Session, and Server) used to service HTTP requests. The to call when the asynchronous method call is complete. If is null, the delegate is not called. Any extra data needed to process the request. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  You can use to raise any exceptions caught during the asynchronous process.

  Provides an asynchronous process End method when the process ends.

  An that contains information about the status of the process. 1.0.5000.0 2.0.0.0